package com.steering.mes.mcp.entity;

/**
 * 数据库表YDM_BS_MAXWGT所对应的实体类（生成工具：代码生成器2.4）
 * @author DESKTOP-SA5N7PS   date 2020-04-27
 */
public class YdmBsMaxwgtEntity {
    /**
     * 仓库代码(仓库类型1+仓储地址代码2+1位序号)
     */
    private String storageNo;
    /**
     * 仓库代码描述
     */
    private String storageName;
    /**
     * 最大载重
     */
    private String maxWgt;
    /**
     * 创建人
     */
    private String createName;
    /**
     * 创建时间
     */
    private String createTime;
    /**
     * 修改人
     */
    private String updateName;
    /**
     * 修改时间
     */
    private String updateTime;
    /**
     * 装卸点代码
     */
    private String unloadingCode;
    /**
     * 装卸点名称
     */
    private String unloadingDesc;

    public YdmBsMaxwgtEntity(){
        storageNo = "";
        storageName = "";
        maxWgt = "";
        createName = "";
        createTime = "";
        updateName = "";
        updateTime = "";
        unloadingCode = "";
        unloadingDesc = "";
    }

    /**
     * 仓库代码(仓库类型1+仓储地址代码2+1位序号)
     * @return value
     */
    public String getStorageNo() {
        return storageNo;
    }

    /**
     * 仓库代码(仓库类型1+仓储地址代码2+1位序号)
     * @param storageNo value
     */
    public void setStorageNo(String storageNo) {
        this.storageNo = storageNo;
    }

    /**
     * 仓库代码描述
     * @return value
     */
    public String getStorageName() {
        return storageName;
    }

    /**
     * 仓库代码描述
     * @param storageName value
     */
    public void setStorageName(String storageName) {
        this.storageName = storageName;
    }

    /**
     * 最大载重
     * @return value
     */
    public String getMaxWgt() {
        return maxWgt;
    }

    /**
     * 最大载重
     * @param maxWgt value
     */
    public void setMaxWgt(String maxWgt) {
        this.maxWgt = maxWgt;
    }

    /**
     * 创建人
     * @return value
     */
    public String getCreateName() {
        return createName;
    }

    /**
     * 创建人
     * @param createName value
     */
    public void setCreateName(String createName) {
        this.createName = createName;
    }

    /**
     * 创建时间
     * @return value
     */
    public String getCreateTime() {
        return createTime;
    }

    /**
     * 创建时间
     * @param createTime value
     */
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改人
     * @return value
     */
    public String getUpdateName() {
        return updateName;
    }

    /**
     * 修改人
     * @param updateName value
     */
    public void setUpdateName(String updateName) {
        this.updateName = updateName;
    }

    /**
     * 修改时间
     * @return value
     */
    public String getUpdateTime() {
        return updateTime;
    }

    /**
     * 修改时间
     * @param updateTime value
     */
    public void setUpdateTime(String updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 装卸点代码
     * @return value
     */
    public String getUnloadingCode() {
        return unloadingCode;
    }

    /**
     * 装卸点代码
     * @param unloadingCode value
     */
    public void setUnloadingCode(String unloadingCode) {
        this.unloadingCode = unloadingCode;
    }

    /**
     * 装卸点名称
     * @return value
     */
    public String getUnloadingDesc() {
        return unloadingDesc;
    }

    /**
     * 装卸点名称
     * @param unloadingDesc value
     */
    public void setUnloadingDesc(String unloadingDesc) {
        this.unloadingDesc = unloadingDesc;
    }
}